<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ArtifactsWorkspaceSettings">
    <artifacts-to-build>
      <artifact name="webdemo:war exploded" />
    </artifacts-to-build>
  </component>
  <component name="ChangeListManager">
    <list default="true" id="4a5f4294-b131-4173-a313-f050355a2365" name="Default Changelist" comment="" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Interface" />
        <option value="Class" />
        <option value="Jsp File" />
      </list>
    </option>
  </component>
  <component name="LogFilters">
    <option name="FILTER_ERRORS" value="false" />
    <option name="FILTER_WARNINGS" value="false" />
    <option name="FILTER_INFO" value="true" />
    <option name="FILTER_DEBUG" value="true" />
    <option name="CUSTOM_FILTER" />
  </component>
  <component name="MavenImportPreferences">
    <option name="generalSettings">
      <MavenGeneralSettings>
        <option name="mavenHome" value="E:\JetBrains\IntelliJ IDEA 2020.2.4\plugins\maven\lib\maven3" />
      </MavenGeneralSettings>
    </option>
  </component>
  <component name="ProjectId" id="2OlxNHfbXRUci2Udl5qCMsAOyMG" />
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent">
    <property name="RunOnceActivity.OpenProjectViewOnStart" value="true" />
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="aspect.path.notification.shown" value="true" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$/web" />
    <property name="node.js.detected.package.eslint" value="true" />
    <property name="node.js.detected.package.tslint" value="true" />
    <property name="node.js.path.for.package.eslint" value="project" />
    <property name="node.js.path.for.package.tslint" value="project" />
    <property name="node.js.selected.package.eslint" value="(autodetect)" />
    <property name="node.js.selected.package.tslint" value="(autodetect)" />
    <property name="project.structure.last.edited" value="Artifacts" />
    <property name="project.structure.proportion" value="0.0" />
    <property name="project.structure.side.proportion" value="0.21711569" />
    <property name="settings.editor.selected.configurable" value="preferences.externalResources" />
  </component>
  <component name="RecentsManager">
    <key name="ExtractSuperBase.RECENT_KEYS">
      <recent name="com.waimai.service.impl" />
    </key>
    <key name="CopyFile.RECENT_KEYS">
      <recent name="E:\ideaproject\webdemo\web" />
    </key>
  </component>
  <component name="RunManager">
    <configuration default="true" type="ArquillianJUnit" factoryName="" nameIsGenerated="true">
      <option name="arquillianRunConfiguration">
        <value>
          <option name="containerStateName" value="" />
        </value>
      </option>
      <option name="TEST_OBJECT" value="class" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="Tomcat 9.0.55" type="#com.intellij.j2ee.web.tomcat.TomcatRunConfigurationFactory" factoryName="Local" APPLICATION_SERVER_NAME="Tomcat 9.0.55" ALTERNATIVE_JRE_ENABLED="false" nameIsGenerated="true">
      <option name="OPEN_IN_BROWSER_URL" value="http://localhost:8080/webdemo/" />
      <option name="UPDATING_POLICY" value="restart-server" />
      <deployment>
        <artifact name="webdemo:war exploded">
          <settings>
            <option name="CONTEXT_PATH" value="/webdemo" />
          </settings>
        </artifact>
      </deployment>
      <server-settings>
        <option name="BASE_DIRECTORY_NAME" value="Unnamed_webdemo_2" />
      </server-settings>
      <predefined_log_file enabled="true" id="Tomcat" />
      <predefined_log_file enabled="true" id="Tomcat Catalina" />
      <predefined_log_file id="Tomcat Manager" />
      <predefined_log_file id="Tomcat Host Manager" />
      <predefined_log_file id="Tomcat Localhost Access" />
      <RunnerSettings RunnerId="Debug">
        <option name="DEBUG_PORT" value="64609" />
      </RunnerSettings>
      <ConfigurationWrapper VM_VAR="JAVA_OPTS" RunnerId="Cover">
        <option name="USE_ENV_VARIABLES" value="true" />
        <STARTUP>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </STARTUP>
        <SHUTDOWN>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </SHUTDOWN>
      </ConfigurationWrapper>
      <ConfigurationWrapper VM_VAR="JAVA_OPTS" RunnerId="Debug">
        <option name="USE_ENV_VARIABLES" value="true" />
        <STARTUP>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </STARTUP>
        <SHUTDOWN>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </SHUTDOWN>
      </ConfigurationWrapper>
      <ConfigurationWrapper VM_VAR="JAVA_OPTS" RunnerId="Run">
        <option name="USE_ENV_VARIABLES" value="true" />
        <STARTUP>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </STARTUP>
        <SHUTDOWN>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </SHUTDOWN>
      </ConfigurationWrapper>
      <method v="2">
        <option name="Make" enabled="true" />
        <option name="BuildArtifacts" enabled="true">
          <artifact name="webdemo:war exploded" />
        </option>
      </method>
    </configuration>
  </component>
  <component name="SpellCheckerSettings" RuntimeDictionaries="0" Folders="0" CustomDictionaries="0" DefaultDictionary="application-level" UseSingleDictionary="true" transferred="true" />
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="4a5f4294-b131-4173-a313-f050355a2365" name="Default Changelist" comment="" />
      <created>1682148930890</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1682148930890</updated>
      <workItem from="1682148933982" duration="2928000" />
      <workItem from="1683901300001" duration="58000" />
      <workItem from="1683901417008" duration="2455000" />
      <workItem from="1683961906943" duration="8315000" />
    </task>
    <servers />
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="3" />
  </component>
  <component name="WindowStateProjectService">
    <state x="428" y="0" width="852" height="672" key="#com.intellij.execution.impl.EditConfigurationsDialog" timestamp="1682150969790">
      <screen x="0" y="0" width="1280" height="672" />
    </state>
    <state x="428" y="0" width="852" height="672" key="#com.intellij.execution.impl.EditConfigurationsDialog/0.0.1280.672@0.0.1280.672" timestamp="1682150969790" />
    <state x="776" y="23" key="#com.intellij.ide.util.MemberChooser" timestamp="1683982476905">
      <screen x="0" y="0" width="1280" height="672" />
    </state>
    <state x="776" y="23" key="#com.intellij.ide.util.MemberChooser/0.0.1280.672@0.0.1280.672" timestamp="1683982476905" />
    <state x="519" y="14" key="#com.intellij.ide.util.frameworkSupport.AddFrameworkSupportDialog" timestamp="1682148955776">
      <screen x="0" y="0" width="1280" height="672" />
    </state>
    <state x="519" y="14" key="#com.intellij.ide.util.frameworkSupport.AddFrameworkSupportDialog/0.0.1280.672@0.0.1280.672" timestamp="1682148955776" />
    <state x="371" y="83" key="#com.intellij.refactoring.safeDelete.UnsafeUsagesDialog" timestamp="1683963646925">
      <screen x="0" y="0" width="1280" height="672" />
    </state>
    <state x="371" y="83" key="#com.intellij.refactoring.safeDelete.UnsafeUsagesDialog/0.0.1280.672@0.0.1280.672" timestamp="1683963646925" />
    <state x="585" y="77" key="FileChooserDialogImpl" timestamp="1682149502918">
      <screen x="0" y="0" width="1280" height="672" />
    </state>
    <state x="585" y="77" key="FileChooserDialogImpl/0.0.1280.672@0.0.1280.672" timestamp="1682149502918" />
    <state width="845" height="43" key="GridCell.Tab.0.bottom" timestamp="1683987334201">
      <screen x="0" y="0" width="1280" height="672" />
    </state>
    <state width="845" height="43" key="GridCell.Tab.0.bottom/0.0.1280.672@0.0.1280.672" timestamp="1683987334201" />
    <state width="845" height="43" key="GridCell.Tab.0.center" timestamp="1683987334201">
      <screen x="0" y="0" width="1280" height="672" />
    </state>
    <state width="845" height="43" key="GridCell.Tab.0.center/0.0.1280.672@0.0.1280.672" timestamp="1683987334201" />
    <state width="845" height="43" key="GridCell.Tab.0.left" timestamp="1683987334201">
      <screen x="0" y="0" width="1280" height="672" />
    </state>
    <state width="845" height="43" key="GridCell.Tab.0.left/0.0.1280.672@0.0.1280.672" timestamp="1683987334201" />
    <state width="845" height="43" key="GridCell.Tab.0.right" timestamp="1683987334201">
      <screen x="0" y="0" width="1280" height="672" />
    </state>
    <state width="845" height="43" key="GridCell.Tab.0.right/0.0.1280.672@0.0.1280.672" timestamp="1683987334201" />
    <state width="845" height="43" key="GridCell.Tab.1.bottom" timestamp="1683987334201">
      <screen x="0" y="0" width="1280" height="672" />
    </state>
    <state width="845" height="43" key="GridCell.Tab.1.bottom/0.0.1280.672@0.0.1280.672" timestamp="1683987334201" />
    <state width="845" height="43" key="GridCell.Tab.1.center" timestamp="1683987334201">
      <screen x="0" y="0" width="1280" height="672" />
    </state>
    <state width="845" height="43" key="GridCell.Tab.1.center/0.0.1280.672@0.0.1280.672" timestamp="1683987334201" />
    <state width="845" height="43" key="GridCell.Tab.1.left" timestamp="1683987334201">
      <screen x="0" y="0" width="1280" height="672" />
    </state>
    <state width="845" height="43" key="GridCell.Tab.1.left/0.0.1280.672@0.0.1280.672" timestamp="1683987334201" />
    <state width="845" height="43" key="GridCell.Tab.1.right" timestamp="1683987334201">
      <screen x="0" y="0" width="1280" height="672" />
    </state>
    <state width="845" height="43" key="GridCell.Tab.1.right/0.0.1280.672@0.0.1280.672" timestamp="1683987334201" />
    <state width="845" height="43" key="GridCell.Tab.2.bottom" timestamp="1683987334202">
      <screen x="0" y="0" width="1280" height="672" />
    </state>
    <state width="845" height="43" key="GridCell.Tab.2.bottom/0.0.1280.672@0.0.1280.672" timestamp="1683987334202" />
    <state width="845" height="43" key="GridCell.Tab.2.center" timestamp="1683987334202">
      <screen x="0" y="0" width="1280" height="672" />
    </state>
    <state width="845" height="43" key="GridCell.Tab.2.center/0.0.1280.672@0.0.1280.672" timestamp="1683987334202" />
    <state width="845" height="43" key="GridCell.Tab.2.left" timestamp="1683987334202">
      <screen x="0" y="0" width="1280" height="672" />
    </state>
    <state width="845" height="43" key="GridCell.Tab.2.left/0.0.1280.672@0.0.1280.672" timestamp="1683987334202" />
    <state width="845" height="43" key="GridCell.Tab.2.right" timestamp="1683987334202">
      <screen x="0" y="0" width="1280" height="672" />
    </state>
    <state width="845" height="43" key="GridCell.Tab.2.right/0.0.1280.672@0.0.1280.672" timestamp="1683987334202" />
    <state width="845" height="157" key="GridCell.Tab.3.bottom" timestamp="1683906822898">
      <screen x="0" y="0" width="1280" height="672" />
    </state>
    <state width="845" height="157" key="GridCell.Tab.3.bottom/0.0.1280.672@0.0.1280.672" timestamp="1683906822898" />
    <state width="845" height="157" key="GridCell.Tab.3.center" timestamp="1683906822895">
      <screen x="0" y="0" width="1280" height="672" />
    </state>
    <state width="845" height="157" key="GridCell.Tab.3.center/0.0.1280.672@0.0.1280.672" timestamp="1683906822895" />
    <state width="845" height="157" key="GridCell.Tab.3.left" timestamp="1683906822895">
      <screen x="0" y="0" width="1280" height="672" />
    </state>
    <state width="845" height="157" key="GridCell.Tab.3.left/0.0.1280.672@0.0.1280.672" timestamp="1683906822895" />
    <state width="845" height="157" key="GridCell.Tab.3.right" timestamp="1683906822897">
      <screen x="0" y="0" width="1280" height="672" />
    </state>
    <state width="845" height="157" key="GridCell.Tab.3.right/0.0.1280.672@0.0.1280.672" timestamp="1683906822897" />
    <state x="366" y="0" width="914" height="672" key="SettingsEditor" timestamp="1682149535471">
      <screen x="0" y="0" width="1280" height="672" />
    </state>
    <state x="366" y="0" width="914" height="672" key="SettingsEditor/0.0.1280.672@0.0.1280.672" timestamp="1682149535471" />
    <state x="393" y="27" key="com.intellij.javaee.MapExternalResourceDialog" timestamp="1682149527585">
      <screen x="0" y="0" width="1280" height="672" />
    </state>
    <state x="393" y="27" key="com.intellij.javaee.MapExternalResourceDialog/0.0.1280.672@0.0.1280.672" timestamp="1682149527585" />
    <state x="628" y="0" width="652" height="672" key="new project wizard" timestamp="1683901766800">
      <screen x="0" y="0" width="1280" height="672" />
    </state>
    <state x="628" y="0" width="652" height="672" key="new project wizard/0.0.1280.672@0.0.1280.672" timestamp="1683901766800" />
    <state x="608" y="0" width="672" height="678" key="search.everywhere.popup" timestamp="1683981800509">
      <screen x="0" y="0" width="1280" height="672" />
    </state>
    <state x="608" y="0" width="672" height="678" key="search.everywhere.popup/0.0.1280.672@0.0.1280.672" timestamp="1683981800509" />
  </component>
</project>